com.google.cloud.dataflow.sdk.transforms

## Class AppliedPTransform<InputT extends PInput,OutputT extends POutput,TransformT extends PTransform<? super InputT,OutputT>>

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.AppliedPTransform<InputT,OutputT,TransformT>

Type Parameters:
  `InputT` - transform input type
  `OutputT` - transform output type
  `TransformT` - transform type

    public class AppliedPTransform<InputT extends PInput,OutputT extends POutput,TransformT extends PTransform<? super InputT,OutputT>>
    extends Object

Represents the application of a `PTransform` to a specific input to produce a specific output.

For internal use.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object other)`
`String` `getFullName()`
`InputT` `getInput()`
`OutputT` `getOutput()`
`TransformT` `getTransform()`
`int` `hashCode()`
`static <InputT extends PInput,OutputT extends POutput,TransformT extends PTransform<? super InputT,OutputT>> AppliedPTransform<InputT,OutputT,TransformT>` `of(String fullName, InputT input, OutputT output, TransformT transform)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### of

    public static <InputT extends PInput,OutputT extends POutput,TransformT extends PTransform<? super InputT,OutputT>> AppliedPTransform<InputT,OutputT,TransformT> of(String fullName,
                                                                                                                                                                        InputT input,
                                                                                                                                                                        OutputT output,
                                                                                                                                                                        TransformT transform)

#### getFullName

    public String getFullName()

#### getInput

    public InputT getInput()

#### getOutput

    public OutputT getOutput()

#### getTransform

    public TransformT getTransform()

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object other)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`